> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Check Delegation Status

> Returns delegation status for specified domain name.
This endpoint has rate limit.



## OpenAPI

````yaml /api-reference/services_documented/dns_api.yaml get /dns/v2/analyze/{name}/delegation-status
openapi: 3.1.0
info:
  title: Gcore OpenAPI – DNS API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-14T07:00:22.640261+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Analyze
    x-displayName: Analyze
  - name: DNS Locations
    x-displayName: DNS Locations
  - name: Lookup
    x-displayName: Lookup
  - name: Metrics
    x-displayName: Metrics
  - name: NetworkMappings
    x-displayName: NetworkMappings
  - name: Pickers
    x-displayName: Pickers
  - name: DNS Clients
    x-displayName: DNS Clients
  - name: Zones
    x-displayName: Zones
  - name: DNSSEC
    x-displayName: DNSSEC
  - name: RRsets
    x-displayName: RRsets
paths:
  /dns/v2/analyze/{name}/delegation-status:
    get:
      tags:
        - Analyze
      summary: Check Delegation Status
      description: |-
        Returns delegation status for specified domain name.
        This endpoint has rate limit.
      operationId: AnalyzeDelegationStatus
      parameters:
        - name: name
          in: path
          description: zone name
          required: true
          schema:
            type: string
      responses:
        '200':
          description: DelegationStatusResponse
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DelegationStatusScanResult'
        '400':
          description: Error message response
          headers:
            error:
              schema:
                type: string
          content: {}
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            response = client.dns.zones.check_delegation_status(
                "name",
            )
            print(response.authoritative_name_servers)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tresponse, err := client.DNS.Zones.CheckDelegationStatus(context.TODO(), \"name\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", response.AuthoritativeNameServers)\n}\n"
components:
  schemas:
    DelegationStatusScanResult:
      type: object
      properties:
        authoritative_name_servers:
          type: array
          items:
            $ref: '#/components/schemas/NameServer'
        gcore_authorized_count:
          type: integer
          format: int64
        is_whitelabel_delegation:
          type: boolean
        non_gcore_authorized_count:
          type: integer
          format: int64
        zone_exists:
          type: boolean
    NameServer:
      type: object
      properties:
        ipv4Addresses:
          type: array
          items:
            type: string
        ipv6Addresses:
          type: array
          items:
            type: string
        name:
          type: string
      description: NameServer
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````